Easy FancyBoxを1.6.3に更新後に管理画面が表示されなくなる現象の修正方法

WordPressで利用している「Easy FancyBox」というプラグインをバージョン1.6.3に更新したところ、WordPressの管理画面が表示されなくなりました。ウェブサーバのログを確認したところ、以下のようなエラーが出ていました。

調べたところ、PHP5.4以降でのみ対応している構文が使われているためだということがわかりました。
修正するには、WordPressが動いているシステムのPHPを5.4以降に更新するか、プラグインのディレクトリの inc/class-easyfancybox-admin.php の21行目の []array() に変更します。

コードで見ると、修正前は以下のようになっています。

これを以下のように修正します。

これで、管理画面が表示されるようになります。

ユーザーインターフェースへのこだわり

4月から3ヶ月の予定で、ある予約システムを作成しています。
当然のことですが、毎回どんなユーザインターフェースにしようか悩みます。

基本モットーは、
”しばり過ぎず緩すぎず、なるべく字は少なく、直感的に入力できること”
です。

弊社は、現在のところ100%が受注システムなので、必ず使用してくださるお客様とお話しをさせていただく機会があります。

そのため、実際に仕様を打ち合わせてくださったご担当者様や職場の雰囲気等をなるべく感じ取り、それに合ったシステムを作成していけたらと思っています。